Package com.smartgwt.client.types

# Enum BkgndRepeat

java.lang.Object
java.lang.Enum<BkgndRepeat>
com.smartgwt.client.types.BkgndRepeat

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<BkgndRepeat>`, `Constable`

public enum BkgndRepeat extends Enum<BkgndRepeat> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_REPEAT`
  Don't tile the background image at all.
  `REPEAT`
  Tile the background image horizontally and vertically.
  `REPEAT_X`
  Repeat the background image horizontally but not vertically.
  `REPEAT_Y`
  Repeat the background image vertically but not horizontally.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static BkgndRepeat`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static BkgndRepeat[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPEAT

    public static final BkgndRepeat REPEAT
    Tile the background image horizontally and vertically.

  - ### NO_REPEAT

    public static final BkgndRepeat NO_REPEAT
    Don't tile the background image at all.

  - ### REPEAT_X

    public static final BkgndRepeat REPEAT_X
    Repeat the background image horizontally but not vertically.

  - ### REPEAT_Y

    public static final BkgndRepeat REPEAT_Y
    Repeat the background image vertically but not horizontally.

- ## Method Details

  - ### values

    public static BkgndRepeat[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static BkgndRepeat valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`